<script>
    // Properties
    export let selectedCity = "Baltimore";
    export let scaleAll = "true";
    let cities = ["Baltimore", "Chicago", "Los Angeles"];
    let scaling = ["accross all building types", "within building type"];

    // Dimensions
    const width = 600;
    const height = 50;
    const margin = { top: 10, right: 20, bottom: 10, left: 20 };
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.top - margin.bottom;

    function onChangeCity(event) {
		selectedCity = event.currentTarget.value;
	}
	
    function onChangeScale(event) {
        scaleAll = event.currentTarget.value;
    }
	
</script>

<p>
<label>
	<input checked={selectedCity==="Baltimore"} on:change={onChangeCity} type="radio" name="city" value="Baltimore" /> Baltimore
</label>
<label>
	<input checked={selectedCity==="Chicago"} on:change={onChangeCity} type="radio" name="city" value="Chicago" /> Chicago
</label>
<label>
	<input checked={selectedCity==="Los Angeles"} on:change={onChangeCity} type="radio" name="city" value="Los Angeles" /> Los Angeles
</label>
</p>
<br>
<p>
<label>
	<input checked={scaleAll=="true"} on:change={onChangeScale} type="radio" name="scale" value="true" /> Across building types
</label>
<label>
	<input checked={scaleAll=="false"} on:change={onChangeScale} type="radio" name="scale" value="false" /> Per building type
</label>
</p>

